=== sounds/CMakeLists.txt ===
install(FILES
	capture_white.ogg
	capture_black.ogg
	move_white.ogg
	move_black.ogg
	DESTINATION ${DATA_INSTALL_DIR}/knights/sounds)
