=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: cmake (>= 3.2.0),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
                libkf5crash-dev (>= 5.30.0~),
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5plasma-dev (>= 5.30.0~),
                libkf5plotting-dev (>= 5.30.0~),
@@ -21,7 +21,8 @@
                libqt5texttospeech5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/games/knights/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git
