=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
+)
+
+ecm_setup_version(${KNIGHTS_VERSION}
+    VARIABLE_PREFIX KNIGHTS
+    VERSION_HEADER knights_version.h
 )
 
 set(knights_SRCS
@@ -92,6 +97,6 @@
 install( PROGRAMS org.kde.knights.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
 install( FILES knights.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES knightsui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/knights )
-install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
+install( FILES knights.knsrc  DESTINATION  ${KDE_INSTALL_DATADIR}/knsrcfiles )
 install( FILES org.kde.Knights.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
 install( FILES org.kde.knights.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
