=== themes/CMakeLists.txt ===
install(FILES
    default.desktop
    knights.desktop
    knights.svgz
    knights.png
    plain.desktop
    plain.svgz
    plain.png
    gray.svgz
    gray.png
    xboard2.desktop
    xboard2.svgz
    xboard2.png
    east_west.desktop
    east_west.svgz
    east_west.png
    DESTINATION ${DATA_INSTALL_DIR}/knights/themes)
