=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5crash-dev (>= 5.68.0~),
                libkf5dbusaddons-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.68.0~),
                libkf5plasma-dev (>= 5.68.0~),
                libkf5plotting-dev (>= 5.68.0~),
