=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knights
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            José Manuel Santamaría Lema <panfaust@gmail.com>,
            Norbert Preining <norbert@preining.info>,
@@ -12,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:7.3.1~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),
@@ -23,17 +24,17 @@
                libqt5texttospeech5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/games/knights/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knights
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knights.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knights
 
 Package: knights
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: gnuchess, sjeng, stockfish,
-Suggests: crafty,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gnuchess, sjeng, stockfish
+Suggests: crafty
 Description: chess interface for the KDE Platform
  Knights aims to be the ultimate chess resource on your computer.
  It's designed to be both friendly to new chess players and functional for
