=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
                libkf5plotting-dev (>= 5.90.0~),
