## knights 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KNIGHTS_BASE_VERSION once new features are added
@@ -17,9 +17,9 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 set (QT_MIN_VERSION "5.15.0")
-set (KF5_MIN_VERSION "5.90.0")
+set (KF_MIN_VERSION "5.90.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
@@ -40,6 +40,10 @@
    Svg
 )
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+   find_package(Qt6Core5Compat REQUIRED)
+endif()
+
 find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${QT_REQUIRED_VERSION} QUIET)
 set_package_properties(Qt${QT_MAJOR_VERSION}TextToSpeech PROPERTIES
    PURPOSE "Speaking of opponents moves")
@@ -47,7 +51,7 @@
    add_definitions(-DHAVE_SPEECH)
 endif ()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
   DBusAddons
   ConfigWidgets
   Crash
@@ -60,7 +64,11 @@
   Plasma
 )
 
-find_package(KF5KDEGames 7.3.1 REQUIRED)
+if (QT_MAJOR_VERSION STREQUAL "6")
+   find_package(KDEGames6 7.3.1 REQUIRED)
+else()
+   find_package(KF5KDEGames 7.3.1 REQUIRED)
+endif()
 
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
